<?php

namespace API\script\Gateway;

include(__DIR__ . "/../Config/config.php");

use API\script\Config\Connection;
use BusinessClass\Keyword;

class GatewayKeyword
{
    private Connection $connection;

    public function __construct()
    {
        $this->connection = connect();
    }

    public function insertKeyword(Keyword $keyword)
    {
        $query = "INSERT INTO Keyword(id, word) VALUES(:id, :word)";
        $this->connection->executeQuery($query, array(
            ':id' => array($keyword->getId(), PDO::PARAM_INT),
            ':word' => array($keyword->getWord(), PDO::PARAM_INT)
        ));
    }

    public function deleteKeyword(Keyword $keyword)
    {
        $query = "DELETE FROM Keyword WHERE id = :id";
        $this->connection->executeQuery($query, array(
            ':id' => array($keyword->getId(), PDO::PARAM_INT)
        ));
    }

    public function getAllKeyword(): array
    {
        $query = "SELECT * FROM Keyword";
        $this->connection->executeQuery($query);

        return $this->connection->getResults();
    }
}